Name:		firmware-tools
Version:	2.1.14
Release:	%mkrel 2
Summary:	Scripts and tools to manage firmware and BIOS updates
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		http://linux.dell.com/libsmbios/download/ 
Source0:	http://linux.dell.com/libsmbios/download/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:	python-devel
Requires:	python-rpm
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The firmware-tools project provides tools to inventory hardware and a plugin
architecture so that different OEM vendors can provide different inventory
components. It is intended to tie to the package system to enable seamless
installation of updated firmware via your package manager, as well as provide
a framework for BIOS and firmware updates.

%prep
%setup -q

find . -type f | xargs perl -pi -e 's|#!/usr/bin/python2|#!/usr/bin/python|'

%build
%configure2_5x

%make

%install
rm -rf %{buildroot}
%makeinstall_std
mkdir -p %{buildroot}/%{_sysconfdir}/firmware/firmware.d/
mkdir -p %{buildroot}/%{_datadir}/firmware

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING-GPL COPYING-OSL README
%{python_sitelib}/*
%{_sbindir}/*
%{_datadir}/firmware-tools/
%dir %{_sysconfdir}/firmware
%dir %{_sysconfdir}/firmware/firmware.d
%config(noreplace) %{_sysconfdir}/firmware/firmware.conf
%{_datadir}/firmware/




%changelog

* Fri Dec 30 2011 pterjan <pterjan> 2.1.14-2.mga2
+ Revision: 189135
- Fix dependency

* Thu Dec 15 2011 tv <tv> 2.1.14-1.mga2
+ Revision: 182307
- imported package firmware-tools


* Sun Nov 07 2010 Jani Välimaa <wally@mandriva.org> 2.1.14-1mdv2011.0
+ Revision: 594670
- new version 2.1.14

* Sun Nov 07 2010 Jani Välimaa <wally@mandriva.org> 2.1.9-2mdv2011.0
+ Revision: 594634
- rebuild for python 2.7

* Thu Sep 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.9-1mdv2011.0
+ Revision: 580711
- update to new version 2.1.9

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 2.1.5-2mdv2010.0
+ Revision: 437547
- rebuild

* Tue Feb 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.5-1mdv2009.1
+ Revision: 339268
- update to new version 2.1.5
- new license policy
- spec file clean

* Tue Jan 06 2009 Funda Wang <fwang@mandriva.org> 1.5.6-5mdv2009.1
+ Revision: 325207
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.5.6-4mdv2009.0
+ Revision: 245193
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.5.6-2mdv2008.1
+ Revision: 136415
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.6-2mdv2008.0
+ Revision: 81964
- fix shellbang

* Tue Sep 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.6-1mdv2008.0
+ Revision: 79553
- import firmware-tools


* Mon Sep 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.6-1mdv2008.0
- contributed by Olivier Lahaye <olivier.lahaye at free.fr>
